wibble::RangeInterface< T > Struct Template Referenceabstract

`#include <range.h>`

## Public Member Functions

virtual T | head () const =0
virtual void | removeFirst ()=0
virtual void | setToEmpty ()=0
virtual | ~RangeInterface ()

## Constructor & Destructor Documentation

## ~RangeInterface()

template<typename T >

virtual wibble::RangeInterface< T >::~RangeInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## head()

template<typename T >

virtual T wibble::RangeInterface< T >::head | ( |  | ) | const

pure virtual

Referenced by wibble::Range< T >::head().

## removeFirst()

template<typename T >

virtual void wibble::RangeInterface< T >::removeFirst | ( |  | ) |

pure virtual

Referenced by wibble::Range< T >::removeFirst().

## setToEmpty()

template<typename T >

virtual void wibble::RangeInterface< T >::setToEmpty | ( |  | ) |

pure virtual

Referenced by wibble::Range< T >::setToEmpty().

The documentation for this struct was generated from the following file:

- range.h